#include <sys/types.h>
#include <netinet/in.h>

struct irrdcentry { 
	char* qwes;
	char* answer;
	struct irrdcentry* next;
};

struct irrdc { 
	char* host;
	int port;
	int s;
	struct sockaddr_in sca;
	char* answer;
	struct irrdcentry* cache;
	FILE* f;
};


struct irrdc* 	irrd_init(char* host,int port);
int		irrd_connect(struct irrdc*);
int		irrd_question(struct irrdc*, char* fmt, ...);
int		irrd_disc(struct irrdc*);
int		irrd_free(struct irrdc*);
